Bug 1276629 - Review Request: apache-commons-jcs - Apache Commons Java Caching System
Review Request: apache-commons-jcs - Apache Commons Java Caching System
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On: 1276625
Blocks: 1236705 1276555
  Show dependency treegraph
 
Reported: 2015-10-30 06:33 EDT by gil cattaneo
Modified: 2015-12-11 18:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-11 18:51:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mizdebsk: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2015-10-30 06:33:41 EDT
Spec URL: https://gil.fedorapeople.org/apache-commons-jcs.spec
SRPM URL: https://gil.fedorapeople.org/apache-commons-jcs-2.0-0.1.beta.1.fc22.src.rpm
Description:
Apache Commons JCS is a distributed caching system written in Java.
It is intended to speed up applications by providing a means to manage
cached data of various dynamic natures. Like any caching system, JCS
is most useful for high read, low put applications. Latency times drop
sharply and bottlenecks move away from the database in an effectively
cached system.
Fedora Account System Username: gil
Comment 1 gil cattaneo 2015-11-16 13:10:34 EST
Spec URL: https://gil.fedorapeople.org/apache-commons-jcs.spec
SRPM URL: https://gil.fedorapeople.org/apache-commons-jcs-2.0-0.1.beta.1.fc23.src.rpm

- temporarily disabled geronimo-jcache (rhbz#1276625) support
Comment 2 Upstream Release Monitoring 2015-12-02 03:52:47 EST
gil's scratch build of apache-commons-jcs-2.0-0.1.beta.1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12028654
Comment 3 Mikolaj Izdebski 2015-12-02 04:26:01 EST
Package Review
==============

Key:
- = N/A
x = Check
! = Problem

[x] rpmlint must be run on the source rpm and all binary rpms the
    build produces.  The output should be posted in the review.

[x] The package must be named according to the Package Naming
    Guidelines.

[x] The spec file name must match the base package %{name}, in the
    format %{name}.spec unless your package has an exemption.

[x] The package must meet the Packaging Guidelines.

[x] The package must be licensed with a Fedora approved license and
    meet the Licensing Guidelines.

[x] The License field in the package spec file must match the actual
    license.

[x] If (and only if) the source package includes the text of the
    license(s) in its own file, then that file, containing the text of
    the license(s) for the package must be included in %doc.

[x] The spec file must be written in American English.

[x] The spec file for the package MUST be legible.

[x] The sources used to build the package must match the upstream
    source, as provided in the spec URL.  Reviewers should use
    sha256sum for this task as it is used by the sources file once
    imported into git.  If no upstream URL can be specified for this
    package, please see the Source URL Guidelines for how to deal with
    this.

[x] The package MUST successfully compile and build into binary rpms
    on at least one primary architecture.

[x] If the package does not successfully compile, build or work on an
    architecture, then those architectures should be listed in the
    spec in ExcludeArch.  Each architecture listed in ExcludeArch MUST
    have a bug filed in bugzilla, describing the reason that the
    package does not compile/build/work on that architecture.  The bug
    number MUST be placed in a comment, next to the corresponding
    ExcludeArch line.

[x] All build dependencies must be listed in BuildRequires, except for
    any that are listed in the exceptions section of the Packaging
    Guidelines; inclusion of those as BuildRequires is optional.
    Apply common sense.

[x] The spec file MUST handle locales properly.  This is done by using
    the %find_lang macro.  Using %{_datadir}/locale/* is strictly
    forbidden.

[x] Every binary RPM package (or subpackage) which stores shared
    library files (not just symlinks) in any of the dynamic linker's
    default paths, must call ldconfig in %post and %postun.

[x] Packages must NOT bundle copies of system libraries.

[x] If the package is designed to be relocatable, the packager must
    state this fact in the request for review, along with the
    rationalization for relocation of that specific package.  Without
    this, use of Prefix: /usr is considered a blocker.

[x] A package must own all directories that it creates.  If it does
    not create a directory that it uses, then it should require a
    package which does create that directory.

[x] A Fedora package must not list a file more than once in the spec
    file's %files listings.  (Notable exception: license texts in
    specific situations.)

[x] Permissions on files must be set properly.  Executables should be
    set with executable permissions, for example.

[x] Each package must consistently use macros.

[x] The package must contain code, or permissible content.

[x] Large documentation files must go in a -doc subpackage.  (The
    definition of large is left up to the packager's best judgement,
    but is not restricted to size.  Large can refer to either size or
    quantity).

[x] If a package includes something as %doc, it must not affect the
    runtime of the application.  To summarize: If it is in %doc, the
    program must run properly if it is not present.

[x] Static libraries must be in a -static package.

[x] Development files must be in a -devel package.

[x] In the vast majority of cases, devel packages must require the
    base package using a fully versioned dependency: Requires:
    %{name}%{?_isa} = %{version}-%{release}

[x] Packages must NOT contain any .la libtool archives, these must be
    removed in the spec if they are built.

[x] Packages containing GUI applications must include a
    %{name}.desktop file, and that file must be properly installed
    with desktop-file-install in the %install section.  If you feel
    that your packaged GUI application does not need a .desktop file,
    you must put a comment in the spec file with your explanation.

[x] Packages must not own files or directories already owned by other
    packages.  The rule of thumb here is that the first package to be
    installed should own the files or directories that other packages
    may rely upon.  This means, for example, that no package in Fedora
    should ever share ownership with any of the files or directories
    owned by the filesystem or man package.  If you feel that you have
    a good reason to own a file or directory that another package
    owns, then please present that at package review time.

[x] All filenames in rpm packages must be valid UTF-8.


rpmlint output
--------------

apache-commons-jcs.noarch: W: no-documentation
apache-commons-jcs-core.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.
Comment 4 gil cattaneo 2015-12-02 04:36:21 EST
Thanks for the review!

Request for new package:
https://admin.fedoraproject.org/pkgdb/package/requests/2031
https://admin.fedoraproject.org/pkgdb/package/requests/2032
Comment 5 Gwyn Ciesla 2015-12-02 09:27:13 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/apache-commons-jcs
Comment 6 Fedora Update System 2015-12-02 10:52:06 EST
apache-commons-jcs-2.0-0.1.beta.1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c7cd2ab1d1
Comment 7 Fedora Update System 2015-12-03 20:36:13 EST
apache-commons-jcs-2.0-0.1.beta.1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update apache-commons-jcs'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c7cd2ab1d1
Comment 8 Cédric OLIVIER 2015-12-09 16:15:10 EST
please add EPEL 7 branch
Comment 9 gil cattaneo 2015-12-09 16:29:59 EST
(In reply to Cédric OLIVIER from comment #8)
> please add EPEL 7 branch
hi
usually, i don't want maintain packages for EPEL
if you want you can give all permits for this purpose
in those branches
regards
Comment 10 Cédric OLIVIER 2015-12-10 03:52:48 EST
OK, I have made a request for EPEL 7

https://admin.fedoraproject.org/pkgdb/package/requests/2350
Comment 11 gil cattaneo 2015-12-10 04:02:48 EST
(In reply to Cédric OLIVIER from comment #10)
> OK, I have made a request for EPEL 7
> 
> https://admin.fedoraproject.org/pkgdb/package/requests/2350

there a lot of missing dependencies for commons-jcs,

core:
mvn(org.apache.velocity:velocity-tools)
mvn(org.apache.commons:commons-collections4)
mvn(org.apache.commons:commons-lang3)
mvn(javax.inject:javax.inject)
mvn(javax.servlet:javax.servlet-api)

other sub packages:
mvn(javax.inject:javax.inject)
mvn(org.apache.commons:commons-lang3)
mvn(org.apache.geronimo.specs:geronimo-jcache_1.0_spec)
mvn(org.apache.geronimo.specs:geronimo-jcdi_1.0_spec)
mvn(org.apache.openjpa:openjpa-kernel)
mvn(org.apache.openwebbeans:openwebbeans-impl)
mvn(org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.1_spec)

please ,check if this list is correct
Comment 12 Fedora Update System 2015-12-11 18:51:15 EST
apache-commons-jcs-2.0-0.1.beta.1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.